=== debian/changelog ===
ocaml-dune (1.11.0-2) unstable; urgency=medium

  * Apply patch supplied by upstream to fix FTBFS on armhf

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2019 11:32:47 +0200

ocaml-dune (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2019 07:36:02 +0200
