=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
+
+include /usr/share/ocaml/ocamlvars.mk
+
+export DESTDIR=$(CURDIR)/debian/tmp
+export PREFIX=/usr
+export LIBDIR=..$(OCAML_STDLIB_DIR)
 
 %:
 	dh $@ --with ocaml
@@ -19,7 +25,7 @@
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
-	rm -rf _build boot.exe src/setup.ml dune.install
+	rm -rf _build _boot boot.exe src/setup.ml dune.install
 	find -name .merlin -delete
 
 .PHONY: override_dh_auto_test
