=== debian/changelog ===
ocaml-dune (2.1.3-2) unstable; urgency=high

  * ocaml-dune breaks libsedlex-ocaml-dev (<< 2.1-4)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Feb 2020 13:48:19 +0100

ocaml-dune (2.1.3-1) unstable; urgency=medium

  * New upstream release (Closes: #949810)
    - drop jbuilder binary package
  * Build-depend on debhelper-compat
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2020 09:15:36 +0100
