=== debian/control ===
--- 
+++ 
@@ -4,18 +4,22 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
+ debhelper-compat (= 12),
  ocaml-nox,
- ocaml-findlib,
- dh-ocaml,
- debhelper (>= 12)
-Standards-Version: 4.4.0
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/dune
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dune.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-dune
 
 Package: ocaml-dune
 Architecture: any
-Breaks: jbuilder (<< 1.0~beta20-1), whitedune (<< 0.30.10-2.2), dune (<< 1.6.2-3)
+Breaks:
+ libsedlex-ocaml-dev (<< 2.1-4),
+ jbuilder (<< 1.0~beta20-1),
+ whitedune (<< 0.30.10-2.2),
+ dune (<< 1.6.2-3)
 Replaces: jbuilder (<< 1.0~beta20-1), whitedune (<< 0.30.10-2.2), dune (<< 1.6.2-3)
 Provides: jbuilder
 Depends:
@@ -37,28 +41,15 @@
  ${misc:Depends}
 Suggests:
  ocaml-findlib
-Description: composable build system for OCaml projects (library)
+Description: composable build system for OCaml projects (libraries)
  Dune is a build system designed for OCaml/Reason projects
  only. It focuses on providing the user with a consistent experience
  and takes care of most of the low-level details of OCaml
  compilation. All you have to do is provide a description of your
  project and Dune will do the rest.
  .
- This package contains the library.
-
-Package: jbuilder
-Section: oldlibs
-Architecture: all
-Depends: dune, ${misc:Depends}
-Description: composable build system for OCaml projects -- transitional package
- Dune is a build system designed for OCaml/Reason projects
- only. It focuses on providing the user with a consistent experience
- and takes care of most of the low-level details of OCaml
- compilation. All you have to do is provide a description of your
- project and Dune will do the rest.
- .
- Dune was previously called jbuilder; this is a transitional package,
- which can be safely removed.
+ This package contains the libraries dune-private-libs and
+ dune-configurator.
 
 Package: dune
 Section: oldlibs
