## ocaml-dune 2.7.0

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,37 @@
+.DEFAULT_GOAL := help
+
 PREFIX_ARG := $(if $(PREFIX),--prefix $(PREFIX),)
 LIBDIR_ARG := $(if $(LIBDIR),--libdir $(LIBDIR),)
 DESTDIR_ARG := $(if $(DESTDIR),--destdir $(DESTDIR),)
 INSTALL_ARGS := $(PREFIX_ARG) $(LIBDIR_ARG) $(DESTDIR_ARG)
 BIN := ./dune.exe
 
+# Dependencies used for developing and testing dune
+DEV_DEPS := \
+core_bench \
+menhir \
+merlin \
+ocamlformat \
+odoc \
+ppx_expect \
+ppx_inline_test \
+ppxlib \
+cinaps \
+utop
+
 -include Makefile.dev
+
+help:
+	@cat doc/make-help.txt
 
 release: $(BIN)
 	$(BIN) build -p dune --profile dune-bootstrap
 
 dune.exe: bootstrap.ml boot/libs.ml boot/duneboot.ml
 	ocaml bootstrap.ml
+
+dev: $(BIN)
+	$(BIN) build @install
 
 all: $(BIN)
 	$(BIN) build
@@ -22,6 +43,10 @@
 	$(BIN) uninstall $(INSTALL_ARGS) dune
 
 reinstall: uninstall install
+
+dev-switch:
+	opam switch create -y . --deps-only --with-test
+	opam install -y $(DEV_DEPS)
 
 test: $(BIN)
 	$(BIN) runtest
@@ -77,11 +102,12 @@
 dune: $(BIN)
 	$(BIN) $(RUN_ARGS)
 
-.PHONY: default install uninstall reinstall clean test doc
+.PHONY: default install uninstall reinstall clean test doc dev-switch
 .PHONY: promote accept-corrections opam-release dune check fmt
 
 opam-release:
 	dune-release distrib --skip-build --skip-lint --skip-tests -n dune
-	dune-release publish distrib --verbose -n dune
+	# See https://github.com/ocamllabs/dune-release/issues/206
+	DUNE_RELEASE_DELEGATE=github-dune-release-delegate dune-release publish distrib --verbose -n dune
 	dune-release opam pkg -n dune
 	dune-release opam submit -n dune
