=== debian/changelog ===
ocaml-dune (2.7.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Aug 2020 11:07:12 +0200
