=== debian/changelog ===
ocaml-dune (2.7.1-2) unstable; urgency=medium

  * Cherry-pick upstream configure fix (Closes: #975894)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 28 Nov 2020 11:08:20 +0100

ocaml-dune (2.7.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 24 Nov 2020 09:28:02 +0100
