=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,3 @@
 
 override_dh_auto_test:
 # Upstream tests assume opam is installed; skip them
-
-override_dh_missing:
-	dh_missing --fail-missing
