## ocaml-dune 2.9.1

=== debian/changelog ===
ocaml-dune (2.9.1-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:19:45 +0100

ocaml-dune (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.9.1
  * Drop upstreamed patches

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 30 Nov 2021 16:14:22 +0200
