=== debian/changelog ===
ocaml-dune (2.9.3-1) unstable; urgency=medium

  * New upstream release
  * Add pkg.ocaml-dune.nocsexp build profile, to cut build-dependency
    loop if needed

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 08:50:59 +0100
