=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-nox,
- libcsexp-ocaml-dev,
+ libcsexp-ocaml-dev <!pkg.ocaml-dune.nocsexp>,
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -36,6 +36,7 @@
 
 Package: libdune-ocaml-dev
 Architecture: any
+Build-Profiles: <!pkg.ocaml-dune.nocsexp>
 Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
