=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,12 @@
 	ocaml bootstrap.ml
 	./dune.exe build -p dune --profile dune-bootstrap
 	./dune.exe install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) dune
+ifneq (,$(filter libdune-ocaml-dev,$(shell dh_listpackages)))
 	PATH=$(CURDIR)/_tmp/usr/bin:$(PATH) OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p dune-private-libs
 	PATH=$(CURDIR)/_tmp/usr/bin:$(PATH) OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) dune-private-libs
 	PATH=$(CURDIR)/_tmp/usr/bin:$(PATH) OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p dune-configurator
 	PATH=$(CURDIR)/_tmp/usr/bin:$(PATH) OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) dune-configurator
+endif
 
 override_dh_auto_install:
 	rm -rf debian/tmp
