=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	./configure --libdir $(OCAML_STDLIB_DIR)

override_dh_auto_build:
	ocaml boot/bootstrap.ml
	./dune.exe build --profile dune-bootstrap dune.install
	./dune.exe build stdune.install dune-private-libs.install dune-configurator.install xdg.install

override_dh_auto_install:
	./dune.exe install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR) dune dune-private-libs dune-configurator stdune xdg
	rm -rf debian/tmp/usr/doc/dune-private-libs debian/tmp/usr/doc/dune-configurator debian/tmp/usr/doc/stdune debian/tmp/usr/doc/xdg debian/tmp/usr/doc/dune/LICENSE.md

override_dh_auto_test:
# Upstream tests assume opam is installed; skip them
