## ocaml-dune 3.14.0

=== Makefile ===
--- 
+++ 
@@ -20,13 +20,12 @@
 ocamlfind \
 ocamlformat.$$(awk -F = '$$1 == "version" {print $$2}' .ocamlformat) \
 "odoc>=2.0.1" \
-"ppx_expect.v0.15.0" \
+"ppx_expect>=v0.16.0" \
 ppx_inline_test \
 ppxlib \
 ctypes \
 "utop>=2.6.0" \
-"melange>=1.0.0" \
-"rescript-syntax"
+"melange>=3.0.0"
 # Dependencies recommended for developing dune locally,
 # but not wanted in CI
 DEV_DEPS := \
