=== doc/requirements.txt ===
sphinx >= 4.5.0, < 6
sphinx_rtd_theme >= 1.0.0
sphinx-copybutton >= 0.5.0
