=== debian/changelog ===
ocaml-dune (3.15.3-2) unstable; urgency=medium

  * Build in release mode

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 08:04:04 +0200

ocaml-dune (3.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Jun 2024 09:10:27 +0200
