## ocaml-dune 3.17.1

=== debian/changelog ===
ocaml-dune (3.17.1-2) unstable; urgency=medium

  * Add ocplib-simplex-ocaml-dev (<< 0.5.1-3~) to Breaks

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 Jan 2025 08:05:42 +0100

ocaml-dune (3.17.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2024 20:44:57 +0100
