=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Package: ocaml-dune
 Architecture: any
 Breaks:
+ ocplib-simplex-ocaml-dev (<< 0.5.1-3~),
  libsedlex-ocaml-dev (<< 2.1-4),
  jbuilder (<< 1.0~beta20-1),
  whitedune (<< 0.30.10-2.2),
