## ocaml-dune 3.20.1

=== debian/changelog ===
ocaml-dune (3.20.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Sep 2025 10:21:32 +0200
