=== doc/requirements.txt ===
sphinx >= 6
furo
sphinx-copybutton >= 0.5.0
sphinx-design
myst-parser
