=== debian/changelog ===
ocaml-dune (3.20.2-3) unstable; urgency=medium

  * Skip flaky tests in autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Sep 2025 08:07:40 +0200

ocaml-dune (3.20.2-2) unstable; urgency=medium

  * Fix autopkgtest on bytecode archs

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Sep 2025 01:25:19 +0200

ocaml-dune (3.20.2-1) unstable; urgency=medium

  * New upstream release
  * Add autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Fri, 05 Sep 2025 11:27:15 +0200
