=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  ocaml,
  dh-ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/dune
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dune.git
