=== debian/rules ===
--- 
+++ 
@@ -24,17 +24,17 @@
 
 override_dh_auto_build:
 	ocaml boot/bootstrap.ml
-	./dune.exe build --profile dune-bootstrap dune.install
+	./dune.exe build --release --profile dune-bootstrap dune.install
 ifeq (,$(filter pkg.ocaml-dune.bootstrap,$(DEB_BUILD_PROFILES)))
-	./dune.exe build $(addsuffix .install,$(DEB_DUNE_OTHER_PACKAGES))
+	./dune.exe build --release $(addsuffix .install,$(DEB_DUNE_OTHER_PACKAGES))
 endif
 
 override_dh_auto_install:
-	./dune.exe install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR) $(DEB_DUNE_ALL_PACKAGES)
+	./dune.exe install --release --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR) $(DEB_DUNE_ALL_PACKAGES)
 ifeq (,$(filter pkg.ocaml-dune.bootstrap,$(DEB_BUILD_PROFILES)))
 	rm -rf $(addprefix debian/tmp/usr/doc/,$(DEB_DUNE_OTHER_PACKAGES))
 endif
 	rm -f debian/tmp/usr/doc/dune/LICENSE.md
 
 override_dh_auto_test:
-# Upstream tests assume opam is installed; skip them
+# Upstream tests have many dependencies; rely on autopkgtest instead
