=== debian/tests/control ===
Tests: tests
Depends:
 git,
 pkgconf,
 liblwt-ocaml-dev,
 libppx-inline-test-ocaml-dev,
 libppx-expect-ocaml-dev,
 libresult-ocaml-dev,
 @
